
Foreman - Refactor #21203

Move from webpack-rails to webpacker

10/04/2017 05:06 PM - Walden Raines

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5033

  

Description

We need to move away from webpack-rails and start using webpacker because webpack-rails is no longer supported.

https://github.com/rails/webpacker

Related issues:

Related to Foreman - Bug #25778: Assets compilation failure on Jenkins+Remote... Closed

Related to Foreman - Tracker #24837: Rails 6.0 Tracker Closed

History

#1 - 10/24/2017 01:34 PM - Walden Raines

- Target version changed from 224 to 228

#2 - 10/31/2017 01:27 PM - Walden Raines

- Assignee set to Avi Sharvit

#3 - 11/21/2017 01:13 AM - Walden Raines

- Target version changed from 228 to 234

#4 - 11/27/2017 02:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5033 added

#5 - 11/28/2017 07:51 AM - Ondřej Pražák

- translation missing: en.field_release set to 330

#6 - 12/12/2017 01:33 PM - Walden Raines

- Target version changed from 234 to 237

#7 - 01/02/2018 11:22 PM - Walden Raines

- Target version changed from 237 to 239

#8 - 01/23/2018 02:41 PM - Walden Raines

- Target version changed from 239 to 243

#9 - 02/13/2018 02:08 PM - Walden Raines

- Target version changed from 243 to 248

#10 - 03/06/2018 01:47 PM - Walden Raines

- Target version changed from 248 to 250
#11 - 03/27/2018 03:22 PM - Walden Raines

- Target version changed from 250 to 253

#12 - 04/03/2018 08:07 AM - Ondřej Pražák

- translation missing: en.field_release deleted (330)

Removing from 1.18 since this will not be finished any time soon.

#13 - 06/18/2018 08:55 PM - Walden Raines

- Target version deleted (253)

#14 - 01/04/2019 04:20 PM - Ivan Necas

- Related to Bug #25778: Assets compilation failure on Jenkins+Remote Execution/Ansible due to "Allocation failed - JavaScript heap out of memory"

added

#15 - 06/30/2019 04:02 PM - Anonymous

- Related to Tracker #24837: Rails 6.0 Tracker added

#16 - 10/01/2019 03:25 PM - Anonymous

- Subject changed from Move from webpack-rails to webacker to Move from webpack-rails to webpacker

#17 - 11/12/2019 12:43 PM - Anonymous

- Status changed from Ready For Testing to New

- Assignee deleted (Avi Sharvit)
